REM Qemu file launcher ©2007 http://pendrivelinux.com
REM This file will start a CD from Windows using Qemu.
@ECHO OFF
cls
echo.
echo =====================================================================
echo Qemu CD Launcher Copyright 2007 http://pendrivelinux.com
echo =====================================================================
echo.
echo This file will launch the inserted CD from your Windows PC using QEMU
echo Please note that the CD will also be launched accelerated with Kqemu.
echo.
echo.
echo This utility is being offered for free with absolutely no warranty in
echo hopes that it will be useful. USE IT AT YOUR OWN RISK!
echo.
echo.
pause
cls

if exist c:\windows\system32\drivers\kqemu.sys ( 
goto launch) else (
echo.
echo STAGE 1: Checking for and installing accelerated driver . . .
echo Vista users need to allow permissions to install Kqemu if asked
goto kqemu) 
cls

:kqemu 
.\qemu\kqemu.exe
echo.
echo STAGE 2: The Kqemu accelerator has been offered for installation

:launch
echo. 
echo LINUX IS NOW RUNNING, Do not close this windows while Linux is running!
echo Close only once Linux has shutdown (after the prompt to eject CD)

.\qemu\qemu -L .\qemu -kernel-kqemu -std-vga -localtime -soundhw all -m 512 -cdrom /dev/cdrom -boot d



